## usbtop 0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(usbtop)

set (VERSION_MAJOR 0)
set (VERSION_MINOR 1)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

## Libraries

# PCAP
find_package(PCAP REQUIRED)

# Boost thread
find_package(Boost COMPONENTS thread system)

##

include_directories(include)

add_subdirectory(src)

=== src/CMakeLists.txt ===
include_directories(${BOOST_INCLUDEDIR} ${PCAP_INCLUDE_DIRS})
add_definitions("-std=c++0x -Wall -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")

IF(CMAKE_BUILD_TYPE MATCHES "[Dd][Ee][Bb][Uu][Gg]")
	add_definitions("-g")
else()
	add_definitions("-O3")
endif()

set(SRC_FILES
buses.cpp
console_output.cpp
main.cpp
pcap_compat.cpp
should_stop.cpp
tools.cpp
usb_bus.cpp
usb_device.cpp
usb_stats.cpp
)

add_executable(usbtop ${SRC_FILES})
target_link_libraries(usbtop ${PCAP_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS usbtop DESTINATION sbin)

=== debian/changelog ===
usbtop (0.2-1) unstable; urgency=medium

  * Initial release (Closes: #903022).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Jul 2018 18:13:41 +1000

=== debian/control ===
Source: usbtop
Section: misc
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~)
    ,cmake
    ,libboost-system-dev
    ,libboost-thread-dev
    ,libpcap0.8-dev
Standards-Version: 4.1.4
Homepage: https://github.com/aguinet/usbtop
Vcs-Browser: https://salsa.debian.org/debian/usbtop
Vcs-Git: https://salsa.debian.org/debian/usbtop.git

Package: usbtop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ca-certificates
Description: utility to show bandwidth on USB buses and devices
 Top-like utility that shows an estimated instantaneous bandwidth on USB
 buses and devices.

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/aguinet/usbtop/releases \
  .*/archive/(?:v|release\-)?(\d[\d\.]+)\.tar\.gz

## usbtop 1.0%2Bdfsg

=== debian/changelog ===
usbtop (1.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:14 +0100

usbtop (1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 18 Nov 2019 10:38:07 +1100

## usbtop 1.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(usbtop)

set (VERSION_MAJOR 0)
set (VERSION_MINOR 3)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

find_package(PCAP REQUIRED)
include_directories(${PCAP_INCLUDE_DIR})

find_package(Boost)
if (NOT ${Boost_FOUND})
  # If boost can't be found, use our own version
  include_directories(third-party)
else()
  include_directories(${Boost_INCLUDE_DIR})
endif()

include_directories(include)
add_subdirectory(src)

=== src/CMakeLists.txt ===
include_directories(${PCAP_INCLUDE_DIRS})
add_definitions("-std=c++0x -Wall -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")

set(SRC_FILES
  buses.cpp
  console_output.cpp
  main.cpp
  pcap_compat.cpp
  should_stop.cpp
  tools.cpp
  usb_bus.cpp
  usb_device.cpp
  usb_stats.cpp
)

add_executable(usbtop ${SRC_FILES})
target_link_libraries(usbtop ${PCAP_LIBRARIES} pthread)

install(TARGETS usbtop DESTINATION sbin)

=== debian/changelog ===
usbtop (1.0+dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:11 +1100

usbtop (1.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 14:03:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: usbtop
 Section: misc
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~)
     ,cmake
     ,libboost-system-dev
     ,libboost-thread-dev
     ,libpcap0.8-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/aguinet/usbtop
 Vcs-Browser: https://salsa.debian.org/debian/usbtop
 Vcs-Git: https://salsa.debian.org/debian/usbtop.git
